unit class_source;

interface

uses class_values;

{$REGION 'ÊËÀÑÑ ÈÑÒÎ×ÍÈÊ'}
type
  TRDSource = class (TObject)
    private

    public
      src_program: TRDValues;
      src_device : TRDValues;

      constructor Create; virtual;
      destructor Destroy; override;
end;
{$ENDREGION}

implementation

constructor TRDSource.Create;
begin
  inherited Create;
  Self.src_program:=TRDValues.Create;
  Self.src_device:=TRDValues.Create;
end;

destructor TRDSource.Destroy;
begin
  Self.src_program.Free;
  Self.src_device.Free;
  inherited Destroy;
end;


end.
